#ifndef DEFVIEW_H
#define DEFVIEW_H

#include <TextView.h>
class BBitmap;

class TDefView : public BTextView
{
	public:
		TDefView(BRect Frame, uint8 Red = 100,
		                      uint8 Green = 1,
		                      uint8 Blue =  1 );
		virtual ~TDefView();
		
		virtual	void Draw(BRect updateRect);
		virtual	void KeyUp(const char *bytes, int32 numBytes);
		virtual	void KeyDown(const char *bytes, int32 numBytes);
		virtual void AttachedToWindow();
		virtual void Paste(BClipboard* Clipboard);

	private:
		BBitmap*	FImage;
		rgb_color	FTintColor;
};

#endif
