#ifndef DEFWINDOW_H
#define DEFWINDOW_H
#include <Window.h>
#include <View.h>

class TDefWindow : public BWindow
{
	public:
		TDefWindow(BRect frame);
		
		// Basic hook functions that we have to override.
		// There are some more functions but they useless in our case
		virtual	void FrameMoved(BPoint NewPos);
		virtual void FrameResized(float width, float height);
		virtual	void WindowActivated(bool state);
		virtual void WorkspacesChanged(uint32 oldW,uint32 newW);
		virtual bool QuitRequested();

		
		// Member function
		void Refresh();
			
		
	private:
		bool once;
};

#endif